Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232029 - Gaim crashes on Yahoo redirect or MSN add contact
Summary: Gaim crashes on Yahoo redirect or MSN add contact
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 17:13 UTC by Kenny Root
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version: gaim beta6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 04:54:37 UTC


Attachments (Terms of Use)

Description Kenny Root 2007-03-13 17:13:00 UTC
Description of problem: Gaim crashes when Yahoo redirects upon login or an MSN
contact adds you as a buddy.

Version-Release number of selected component (if applicable): 2.0.0-0.26.beta5


How reproducible: Depends on Yahoo! behavior upon login.


Steps to Reproduce:
1. Login to account that is redirected upon login
2. Look at resulting stack trace
3.
  
Actual results: Gaim crashes upon startup when Yahoo! is set to auto-login


Expected results: Gaim continues operation.


Additional info: Gaim maintainers have already patched this bug:
http://gaim.svn.sourceforge.net/viewvc/gaim?view=rev&revision=18199

Patch:
http://gaim.svn.sourceforge.net/viewvc/gaim/trunk/libgaim/util.c?r1=17929&r2=18199&view=patch&pathrev=18199


Note You need to log in before you can comment on or make changes to this bug.